import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class InverseContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    inverseController({ address, network }: ContractOpts): import("./ethers").InverseController;
    inverseDcaVaultToken({ address, network }: ContractOpts): import("./ethers").InverseDcaVaultToken;
    inverseLendingPool({ address, network }: ContractOpts): import("./ethers").InverseLendingPool;
    inverseLens({ address, network }: ContractOpts): import("./ethers").InverseLens;
}
export type { InverseController } from './ethers';
export type { InverseDcaVaultToken } from './ethers';
export type { InverseLendingPool } from './ethers';
export type { InverseLens } from './ethers';
